| AI Engine-ML v2 Intrinsics User Guide (v2026.1)

Loading...
Searching...
No Matches
Functions
Broadcast from scalar
Vector Conversions » Broadcast

Broadcasts input value to all vector lanes (alternative syntax to broadcast to vector) More...

## Functions
v32bfloat16 | broadcast_bfloat16 (bfloat16 b)
v64bfloat8 | broadcast_bfloat8 (bfloat8 b)
v16cint16 | broadcast_c16 (cint16 b)
v8cfloat | broadcast_c32 (cfloat b)
v8cint32 | broadcast_c32 (cint32 b)
v16cbfloat16 | broadcast_cbf16 (cbfloat16 b)
v16cbfloat16 | broadcast_cbf16 (v1cbfloat16 b)
v16float | broadcast_float (float b)
v32float16 | broadcast_float16 (float16 b)
v64float8 | broadcast_float8 (float8 b)
v32int16 | broadcast_s16 (int b)
v16int32 | broadcast_s32 (int b)
v16int32 | broadcast_s64 (mask64 b)
v64int8 | broadcast_s8 (int b)
v32uint16 | broadcast_u16 (unsigned int b)
v16uint32 | broadcast_u32 (unsigned int b)
v16uint32 | broadcast_u64 (mask64 b)
v64uint8 | broadcast_u8 (unsigned int b)
v16int32 | broadcast_v2s32 (v2int32 b)
v16uint32 | broadcast_v2u32 (v2uint32 b)

## Detailed Description

Broadcasts input value to all vector lanes (alternative syntax to broadcast to vector)

## Function Documentation

## ◆ broadcast_bfloat16()

v32bfloat16 broadcast_bfloat16 | ( | bfloat16 | b | ) |

## ◆ broadcast_bfloat8()

v64bfloat8 broadcast_bfloat8 | ( | bfloat8 | b | ) |

## ◆ broadcast_c16()

v16cint16 broadcast_c16 | ( | cint16 | b | ) |

## ◆ broadcast_c32() [1/2]

v8cfloat broadcast_c32 | ( | cfloat | b | ) |

## ◆ broadcast_c32() [2/2]

v8cint32 broadcast_c32 | ( | cint32 | b | ) |

## ◆ broadcast_cbf16() [1/2]

v16cbfloat16 broadcast_cbf16 | ( | cbfloat16 | b | ) |

## ◆ broadcast_cbf16() [2/2]

v16cbfloat16 broadcast_cbf16 | ( | v1cbfloat16 | b | ) |

## ◆ broadcast_float()

v16float broadcast_float | ( | float | b | ) |

## ◆ broadcast_float16()

v32float16 broadcast_float16 | ( | float16 | b | ) |

## ◆ broadcast_float8()

v64float8 broadcast_float8 | ( | float8 | b | ) |

## ◆ broadcast_s16()

v32int16 broadcast_s16 | ( | int | b | ) |

## ◆ broadcast_s32()

v16int32 broadcast_s32 | ( | int | b | ) |

## ◆ broadcast_s64()

v16int32 broadcast_s64 | ( | mask64 | b | ) |

## ◆ broadcast_s8()

v64int8 broadcast_s8 | ( | int | b | ) |

## ◆ broadcast_u16()

v32uint16 broadcast_u16 | ( | unsigned int | b | ) |

## ◆ broadcast_u32()

v16uint32 broadcast_u32 | ( | unsigned int | b | ) |

## ◆ broadcast_u64()

v16uint32 broadcast_u64 | ( | mask64 | b | ) |

## ◆ broadcast_u8()

v64uint8 broadcast_u8 | ( | unsigned int | b | ) |

## ◆ broadcast_v2s32()

v16int32 broadcast_v2s32 | ( | v2int32 | b | ) |

## ◆ broadcast_v2u32()

v16uint32 broadcast_v2u32 | ( | v2uint32 | b | ) |